/**
 * Theme Name: Kotopas
 * Template:   hello-elementor
 * Version: 1.0
 */

ul li::marker{
	color: var(--e-global-color-secondary);
	font-size: 1.2rem;
}

.elementor-element.e-post-content{
	display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

.e-post-content h1:after{
    content: '';
    display: block;
    height: 8px;
    width: 200px;
    background-color: var(--e-global-color-primary);
    margin-top: 0.3rem;
}

.e-post-content h2,
.e-post-content .wp-block-heading{
	margin: 1rem 0 .5rem;
}

.e-post-content h2:after{
    content: '';
    display: block;
    height: 4px;
    width: 10%;
    background-color: var(--e-global-color-primary);
    margin-top: 0.3rem;
}

.e-post-content a{
	text-decoration: underline; /* Kts. Elementor Single Page Template */
}


.e-post-content a.wp-block-button__link{
	text-decoration: none;
}

.e-post-content a:hover{
	color: var(--e-global-color-secondary);
}

.e-post-content p{
	margin: 0;
}

.e-post-content .wp-block-list{
	margin: 1rem 0;
}


.e-post-content .wp-element-button,
.etusivu-nosto-content a{
    background: var(--e-global-color-12fde37);
    border: 2px solid var(--e-global-color-text);
    border-radius: 0.5rem;
    color: var(--e-global-color-text);
    padding: 0.6rem 1rem;
    transition: .4s ease;
    font-weight: 600;
}

.etusivu-nosto-content a{
    background-color: var(--e-global-color-primary);
    border: 2px solid var(--e-global-color-primary);
    color: var(--e-global-color-12fde37);
	font-family: "Oswald", Sans-serif;
}

.etusivu-nosto-content a:hover{
	background-color: var(--e-global-color-6c900f2);
    border: 2px solid var(--e-global-color-text);
    color: var(--e-global-color-text);
	gap: 1rem;
}


.e-post-content .wp-element-button:hover{
    background: var(--e-global-color-text);
    color: var(--e-global-color-12fde37)!important;
}


.e-post-content .elementor-button-content-wrapper,
.elementor-button-content-wrapper,
.e-post-content .wp-element-button,
.etusivu-nosto-content a{
    display: flex;
    gap: 0.5rem;
    transition: .4s ease;
    align-items: center;
	margin: 0.5rem 0;
}


.e-post-content .elementor-button:hover .elementor-button-content-wrapper,
.elementor-button:hover .elementor-button-content-wrapper,
.e-post-content .wp-element-button:hover{
    gap: 1rem;
}

.e-post-content .elementor-button-content-wrapper:after,
.e-post-content .wp-element-button:after,
.elementor-button-content-wrapper:after,
.etusivu-nosto-content a:after{
    content: '\f061';
    font: var(--fa-font-solid);
}

.e-post-content .wp-block-list li{
	margin-bottom: 0.5rem;
}

.e-post-content .wp-block-heading,
.e-post-content p,
.e-post-content .wp-block-list{
	width: 100%;
}

.e-post-content .wp-block-column,
.wp-block-column{
	display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

.e-post-content .wp-block-column .wp-block-buttons,
.wp-block-column .wp-block-buttons{
	margin: 0;
}

.has-light-yellow-background-color{
    width: 100%;
    padding: 1.5rem;
    margin: 1rem 0!important;
	display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

.has-light-yellow-background-color .wp-block-buttons{
	margin: 0;
}

.e-post-content .has-light-yellow-background-color .wp-block-heading:after{
    background-color: var(--e-global-color-secondary);
}

.wp-block-columns{
	width: 100%;
	margin: 0;
}

.forminator-ui.forminator-custom-form > .forminator-row > .form-field-flex-2{
	flex:2!important;
}

.print-only{
	display: none!important;
}

/* TypeSense results */
.cmswt-Results .ais-Hit-itemImage {
	height: 300px;
	width: auto;
	object-fit: none;
}

.typesense-apartment-rent-wrapper {
	display: flex;
	margin: 1rem 0;
}
.typesense-apartment-rent-wrapper div {
	flex: 1;
}
.cmswt-CollectionMenu--singleSource .cmswt-CollectionMenu-current {
	display: none;
}
.cmswt-CollectionMenu--singleSource .cmswt-IndexSwitcher.no-js {
	display: flex;
}

/* Lomakkeet */

.w25{
	max-width: 25%;
}

/* Tulosteen tyylit */

@media print {
	header,
	footer,
	#breadcrumbs,
	.breadcrumbs,
	.forminator-edit-module,
	.forminator-button,
	.elementor-widget-button,
	button,
	.forminator-field-captcha,
	.select2-selection__placeholder,
	.select2-selection__arrow,
	.no-print,
	.forminator-error-message{
		display: none!important;
	}

	
	h1{
		font-size: 35px!important;
	}
	
	#forminator-module-445::after{
		content:"Hakijan allekirjoitus ja nimenselvennys";
		width: 100%;
		display: block;
		border-top: solid 1px #000;
		margin-top: 64px;
	}
	
	label,
	p{
		font-size: 16px!important;
		font-weight: 600!important;
	}
	
	form,
	.elementor-element,
	.elementor-element .e-con-inner,
	.name-print-style .forminator-row{
		padding: 0!important;
		margin: 0!important;
	}
	
	.elementor-element .e-con-inner{
		display: block!important;
	}
	
	.forminator-ui{
		margin: 0!important;
	}
	
	.forminator-row{
		display: flex!important;
		gap: 10px;
		margin: 16px 0!important;
		clear: both;
	}
	
	.forminator-col{
		padding: 0!important;
	}
	
	.select2-selection{
		min-height: 38px;
	}
	
	.print-70{
		width: 68%;
		display: inline-block;
		margin-right: 10px;
	}
	
	.print-33{
		width: 30%;
		display: inline-block;
		margin: 0;
	}
	
	.print-50{
		flex: 1;
		/*width: 50%;
		display: inline-block;
		float: left;*/
	}
	
	.name-print-style .forminator-row{
		display: flex!important;
		gap: 10px;
		margin: 0!important;
		padding: 0!important;
	}
	
	.name-print-style .forminator-row .forminator-col{
		flex: 1;
	}
	
	.w25{
		max-width: 100%;
	}
	
	.print-only{
		display: block!important;
	}

	
}